Bug 497344 - iproute: tc fails on action ipt
iproute: tc fails on action ipt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 09:43 EDT by Marcela Mašláňová
Modified: 2010-07-13 03:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: iproute-2.6.33-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:31:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-23 09:43:00 EDT
Reproducer:
tc filter add dev ppp0 parent ffff: protocol ip prio 10 u32 \
 match u32 0 0 flowid 1:1 action ipt -j MARK --set-mark 1 \
 action mirred egress redirect dev ifb0

/lib64/xtables/libipt_mark.so: cannot open shared object file: No such file or directory
 failed to find target MARK

bad action parsing
parse_action: bad value (11:ipt)!
Illegal "action"

This is caused by new iptables(xtables) >= 1.4.1, which replace a lot of libraries. 

Version: 
iptables-1.4.3.1-1.fc11.x86_64
iproute-2.6.29-3.fc12.x86_64
kernel-2.6.29.1-102.fc11.x86_64

Original problem and developers discussion could be found here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=510924
It doesn't work now on my testing machines (F-11 and also debian sid).
Comment 1 Bug Zapper 2009-06-09 10:27:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marcela Mašláňová 2009-12-04 07:18:22 EST
Some portability patches were already created:
http://article.gmane.org/gmane.linux.network/145631
Comment 3 Bug Zapper 2010-04-27 09:53:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David Shaw 2010-05-28 11:00:04 EDT
Any movement on this?  This is still an issue in F13, and it prevents using ipt for traffic shaping.
Comment 5 Fedora Admin XMLRPC Client 2010-06-16 07:57:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2010-07-01 11:15:10 EDT
iproute-2.6.33-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/iproute-2.6.33-2.fc13
Comment 7 Fedora Update System 2010-07-05 18:08:44 EDT
iproute-2.6.33-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iproute'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/iproute-2.6.33-2.fc13
Comment 8 Fedora Update System 2010-07-07 05:00:16 EDT
iproute-2.6.33-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/iproute-2.6.33-3.fc13
Comment 9 Fedora Update System 2010-07-07 13:41:01 EDT
iproute-2.6.33-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iproute'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/iproute-2.6.33-3.fc13
Comment 10 Fedora Update System 2010-07-13 03:31:48 EDT
iproute-2.6.33-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.